# Interface methods for submodule: CollidingFrontsImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: CollidingFrontsImageFilter
class CollidingFrontsImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSeedPoints1(self, points) -> None:
		""""""
		...

	def GetSeedPoints1(self):
		""""""
		...

	def SetSeedPoints2(self, points) -> None:
		""""""
		...

	def GetSeedPoints2(self):
		""""""
		...

	def SetNegativeEpsilon(self, _arg: float) -> None:
		""""""
		...

	def GetNegativeEpsilon(self) -> float:
		""""""
		...

	def SetApplyConnectivity(self, _arg: bool) -> None:
		""""""
		...

	def GetApplyConnectivity(self) -> bool:
		""""""
		...

	def ApplyConnectivityOn(self) -> None:
		""""""
		...

	def ApplyConnectivityOff(self) -> None:
		""""""
		...

	def SetStopOnTargets(self, _arg: bool) -> None:
		""""""
		...

	def GetStopOnTargets(self) -> bool:
		""""""
		...

	def StopOnTargetsOn(self) -> None:
		""""""
		...

	def StopOnTargetsOff(self) -> None:
		""""""
		...

